XMLFormatter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.test.report.junit
[Java] Class XMLFormatter

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter
          org.codehaus.groovy.grails.test.report.junit.XMLFormatter

    public class XMLFormatter
    extends org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter

Sanitises the stack traces generated by tests.

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter
TESTSUITES, TESTSUITE, TESTCASE, ERROR, FAILURE, SYSTEM_ERR, SYSTEM_OUT, ATTR_PACKAGE, ATTR_NAME, ATTR_TIME, ATTR_ERRORS, ATTR_FAILURES, ATTR_TESTS, ATTR_TYPE, ATTR_MESSAGE, PROPERTIES, PROPERTY, ATTR_VALUE, ATTR_CLASSNAME, ATTR_ID, TIMESTAMP, HOSTNAME

Constructor Summary
`XMLFormatter(java.io.File file)`

Method Summary
`void` | `addError(junit.framework.Test test, java.lang.Throwable throwable)`
`void` | `addFailure(junit.framework.Test test, java.lang.Throwable throwable)`
`void` | `setOutput(java.io.OutputStream out)`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter
org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#addError(junit.framework.Test, java.lang.Throwable), org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#setOutput(java.io.OutputStream), org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#startTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest), org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#setSystemOutput(java.lang.String), org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest), org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#endTest(junit.framework.Test), org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#addFailure(junit.framework.Test, junit.framework.AssertionFailedError), org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#addFailure(junit.framework.Test, java.lang.Throwable), org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#startTest(junit.framework.Test), org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#setSystemError(java.lang.String), org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#wait(long, int), org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#wait(long), org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#wait(), org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#equals(java.lang.Object), org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#toString(), org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#hashCode(), org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#getClass(), org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#notify(), org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### XMLFormatter

    public XMLFormatter(java.io.File file)

Method Detail

### addError

    @java.lang.Override
    public void addError(junit.framework.Test test, java.lang.Throwable throwable)

### addFailure

    @java.lang.Override
    public void addFailure(junit.framework.Test test, java.lang.Throwable throwable)

### setOutput

    @java.lang.Override
    public void setOutput(java.io.OutputStream out)

Groovy Documentation